<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmItemGenerationFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmItemGenerationFlags Enumeration

Visual Basic
C#
C++/CLI
Flags that control the behavior of IEdmBatchItemGeneration::CreateTree.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmItemGenerationFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmItemGenerationFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmItemGenerationFlags : public System.Enum

# Members

Member | Description
--- | ---
Eigcf_Nothing | 0 = Default behavior
Eigcf_OpenItemsCheckbox | 1 = This flag does not change the behavior of the IEdmBatchItemGeneration::CreateTree method itself, but it does affect a subsequent call to IEdmBatchItemGeneration::ShowDlg; the dialog box displayed by IEdmBatchItemGeneration::ShowDlg will contain a checkbox to open items after the completion of the item-creation command if this flag is specified

# Remarks

See also the general note about items in the API.

# See Also

####

EPDM.Interop.epdm Namespace